package org.sample.nio.queue.dao;

import org.sample.nio.connection.handler.ClientConnectionHandler;

public class QueueCommand {

	protected ClientConnectionHandler f_clientConnectionHandler;
	protected String f_query;
	
	/**
	 * 
	 * @param clientConnectionHandler clientConnectionHandler
	 * @param query query
	 */
	public QueueCommand(ClientConnectionHandler clientConnectionHandler, String query){
		f_clientConnectionHandler = clientConnectionHandler;
		f_query = query;
	}
	
	/**
	 * @return the clientConnectionHandler
	 */
	public ClientConnectionHandler getClientConnectionHandler() {
		return f_clientConnectionHandler;
	}
	/**
	 * @param clientConnectionHandler the clientConnectionHandler to set
	 */
	public void setClientConnectionHandler(ClientConnectionHandler clientConnectionHandler) {
		f_clientConnectionHandler = clientConnectionHandler;
	}
	
	/**
	 * @return the query
	 */
	public String getQuery() {
		return f_query;
	}
	/**
	 * @param query the query to set
	 */
	public void setQuery(String query) {
		f_query = query;
	}
	
	
	
}
